KOPANO-SET-OOF(1)

NAME
kopano-set-oof - Control a user's out of office settings.

SYNOPSIS

kopano-set-oof [-h hostname] [-m mode] [-n msgfile] [-p keypass] [-s keyfile] [-t subject] [-u username] [--from datetime --until datetime]

DESCRIPTION

This tool can be used to change a user's out of office settings. The storage server must be running for kopano-set-oof to work.

OPTIONS

-h hostname
    Connect to the given storage server. This defaults to file:///var/run/kopano/server.sock.

-m, --mode 0
    Disable the user's out of office reply.

-m, --mode 1
    Enable the user's out of office reply.

-m, --mode -
    Don't enable or disable the user's out of office reply. Just update the subject and message, unless the user's out of office reply is enabled. This is the default mode.

    This is useful to update all out of office settings without enabling them and without changing the messages of enabled replies because that might overwrite some useful information that a user has set.

-n, --message file
    Reads the given text file and uses its contents for the autoreply's message body.

-p, --sslkey-pass password
    Use the given password to access the certificate.

-s, --sslkey-file sslkey
    Use the given certificate when connecting to the storage server.

-t, --subject text
    The subject for Out Of Office messages will be set to the specified text.

-u, --user name
    Modify the Out Of Office settings for the particular user.

--from, --until datetime
    Limit the OOF responder to the given timeframe. Both options, or neither of the two, must be specified. The format to use as argument is to be in the form of "2015-04-01 23:50" (ISO-8601-like), and is taken to be in local time.

AUTHOR

Written by Kopano.